CreateAsset
curl --request POST \
--url https://api.tensorslab.com/v1/video/import requests
url = "https://api.tensorslab.com/v1/video/"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.tensorslab.com/v1/video/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tensorslab.com/v1/video/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tensorslab.com/v1/video/"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tensorslab.com/v1/video/")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tensorslab.com/v1/video/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_bodyActions
CreateAsset
创建资产
CreateAsset
curl --request POST \
--url https://api.tensorslab.com/v1/video/import requests
url = "https://api.tensorslab.com/v1/video/"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.tensorslab.com/v1/video/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tensorslab.com/v1/video/",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tensorslab.com/v1/video/"
req, _ := http.NewRequest("POST", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.tensorslab.com/v1/video/")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tensorslab.com/v1/video/")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
response = http.request(request)
puts response.read_body点击“试一试”,填写 AK/SK 和请求参数即可调用,也可复制签名 cURL 到 Postman。
创建返回 ID 表示已受理。通过 GetAsset 等待 Status=Active 后再用于视频生成。
全部 Actions · 资产管理与错误说明
POST https://api.tensorslab.com/v1/video/?Action=CreateAsset&Version=2024-01-01
请求参数
| 参数 | 必填 | 说明 |
|---|---|---|
ProjectName | 否 | 默认 default,须在 AK/SK 的项目授权范围内。 |
GroupId | 是 | 当前账号的资产组 ID。 |
URL | 是 | 可公开访问的 HTTP(S) 素材 URL。 |
AssetType | 是 | 选择素材类型。 Image / Video / Audio |
Name | 否 | 名称,最多 64 字符。 |
Moderation | 否 | 可选审核策略,按实际通道能力处理。 Default / Skip |
响应示例
{
"ResponseMetadata": {
"RequestId": "request-example",
"Action": "CreateAsset",
"Version": "2024-01-01",
"Service": "ark",
"Region": "ap-southeast-1"
},
"Result": {
"Id": "asset-example"
}
}